#
# spec file for package python-azure-common
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-common
Version:        1.1.14
Release:        lp151.2.3.1
Summary:        Microsoft Azure common code
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-common/azure-common-%{version}.zip
Source1:        LICENSE.txt
BuildRequires:  %{python_module azure-nspkg}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-nspkg
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure common code.

This package provides shared code by the Azure packages.

%prep
%setup -q -n azure-common-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-common-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python_sitelib}/azure/common
%{python_sitelib}/azure_common-*.egg-info
%{python_sitelib}/azure/profiles

%changelog
* Mon Mar 23 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
* Mon Sep  3 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.1.14
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
* Tue Apr 10 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 1.1.9
- Move LICENSE.txt from %%doc to %%license section
- Include profile files in Python directory
* Mon Jan 29 2018 adrian.glaubitz@suse.com
- Install HISTORY.rst into doc directory
* Wed Oct  4 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 1.1.8
- Update Requires from setup.py
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Thu Jul 13 2017 adrian.glaubitz@suse.com
- Stop providing namespace files
  + Drop ac_add-modules-to-setup.patch
  + Stop installing __init__.py into namespaces
* Tue Jun 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 1.1.6
- Install __init__.py namespace files into all namespaces used by
  the Python Azure SDK (azure, azure-mgmt, azure-mgmt-datalake)
- Add patch to include namespace packages in setup.py
  + ac_add-modules-to-setup.patch
